Subject: Offline Message from Fathima: I have been looking for GOOGLE home products t
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 01 Jul 2020 10:16:30 -0000

From:  Fathima <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us
Department: 

I have been looking for GOOGLE home products the mini speaker, I would like to know if the product is original and if you could please provide me with appropriate details. 
Do you have any better options for a smart speaker and if you have GPS tracking products for kids/babies like a watch or any other guaranteed original products.
Thank you 

----
Zopim
https://www.zopim.com